Lấy news feed của người dùng
curl --request GET \
--url https://api.fireant.vn/posts/feed \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/posts/feed"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/posts/feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/posts/feed",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/posts/feed"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/posts/feed")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/posts/feed")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"postID": 123,
"userName": "<string>",
"user": {
"id": "<string>",
"name": "<string>",
"bio": "<string>",
"isAuthentic": true,
"followed": true
},
"title": "<string>",
"description": "<string>",
"summary": "<string>",
"hasSummary": true,
"type": 123,
"newsType": 123,
"videoUrl": "<string>",
"videoThumbnailUrl": "<string>",
"videoWidth": 123,
"videoHeight": 123,
"language": "<string>",
"postGroup": {
"postGroupID": 123,
"name": "<string>",
"description": "<string>"
},
"postSource": {
"postSourceID": 123,
"name": "<string>",
"url": "<string>"
},
"isSourceContentFull": true,
"postSourceUrl": "<string>",
"content": "<string>",
"originalContent": "<string>",
"contentURL": "<string>",
"isAIGenerated": true,
"date": "2023-11-07T05:31:56Z",
"priority": 123,
"hasImage": true,
"hasFile": true,
"link": "<string>",
"linkImage": "<string>",
"linkTitle": "<string>",
"linkDescription": "<string>",
"sentiment": 123,
"approved": true,
"isTop": true,
"isExpertIdea": true,
"liked": true,
"totalLikes": 123,
"totalReplies": 123,
"totalShares": 123,
"replyToPostID": 123,
"referToPostID": 123,
"taggedSymbols": [
{
"symbol": "<string>",
"price": 123,
"change": 123,
"percentChange": 123,
"changeSince": 123,
"percentChangeSince": 123
}
],
"taggedIndividuals": [
{
"individualID": 123,
"name": "<string>"
}
],
"taggedHashTags": [
{
"hashTagID": 123,
"symbol": "<string>",
"name": "<string>"
}
],
"taggedUsers": [
{
"userID": "<string>",
"name": "<string>"
}
],
"images": [
{
"imageID": 123,
"base64Image": "<string>",
"imageUrl": "<string>"
}
],
"files": [
{
"fileID": 123,
"fileName": "<string>",
"fileExtension": "<string>",
"base64Content": "<string>",
"fileContentUrl": "<string>"
}
],
"roomID": 123,
"roomName": "<string>",
"isRoomSticky": true,
"videoType": 123,
"isVideo": true,
"isEmagazine": true,
"isInfographic": true,
"lastRepliedDate": "2023-11-07T05:31:56Z",
"isLivestream": true,
"livestreamStarted": true,
"livestreamEnded": true,
"streamingUrl": "<string>",
"streamingKey": "<string>",
"youtubeStreamingUrl": "<string>",
"youtubeStreamingKey": "<string>",
"facebookStreamingUrl": "<string>",
"facebookStreamingKey": "<string>",
"livestreamAction": true,
"livestreamActionTitle": "<string>",
"livestreamActionUrl": "<string>",
"livestreamActionRoute": "<string>",
"repliesDisabled": true,
"repliesModerationRequired": true,
"pendingApproval": true
}
]Posts
Lấy news feed của người dùng
GET
/
posts
/
feed
Lấy news feed của người dùng
curl --request GET \
--url https://api.fireant.vn/posts/feed \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/posts/feed"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/posts/feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/posts/feed",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/posts/feed"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/posts/feed")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/posts/feed")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"postID": 123,
"userName": "<string>",
"user": {
"id": "<string>",
"name": "<string>",
"bio": "<string>",
"isAuthentic": true,
"followed": true
},
"title": "<string>",
"description": "<string>",
"summary": "<string>",
"hasSummary": true,
"type": 123,
"newsType": 123,
"videoUrl": "<string>",
"videoThumbnailUrl": "<string>",
"videoWidth": 123,
"videoHeight": 123,
"language": "<string>",
"postGroup": {
"postGroupID": 123,
"name": "<string>",
"description": "<string>"
},
"postSource": {
"postSourceID": 123,
"name": "<string>",
"url": "<string>"
},
"isSourceContentFull": true,
"postSourceUrl": "<string>",
"content": "<string>",
"originalContent": "<string>",
"contentURL": "<string>",
"isAIGenerated": true,
"date": "2023-11-07T05:31:56Z",
"priority": 123,
"hasImage": true,
"hasFile": true,
"link": "<string>",
"linkImage": "<string>",
"linkTitle": "<string>",
"linkDescription": "<string>",
"sentiment": 123,
"approved": true,
"isTop": true,
"isExpertIdea": true,
"liked": true,
"totalLikes": 123,
"totalReplies": 123,
"totalShares": 123,
"replyToPostID": 123,
"referToPostID": 123,
"taggedSymbols": [
{
"symbol": "<string>",
"price": 123,
"change": 123,
"percentChange": 123,
"changeSince": 123,
"percentChangeSince": 123
}
],
"taggedIndividuals": [
{
"individualID": 123,
"name": "<string>"
}
],
"taggedHashTags": [
{
"hashTagID": 123,
"symbol": "<string>",
"name": "<string>"
}
],
"taggedUsers": [
{
"userID": "<string>",
"name": "<string>"
}
],
"images": [
{
"imageID": 123,
"base64Image": "<string>",
"imageUrl": "<string>"
}
],
"files": [
{
"fileID": 123,
"fileName": "<string>",
"fileExtension": "<string>",
"base64Content": "<string>",
"fileContentUrl": "<string>"
}
],
"roomID": 123,
"roomName": "<string>",
"isRoomSticky": true,
"videoType": 123,
"isVideo": true,
"isEmagazine": true,
"isInfographic": true,
"lastRepliedDate": "2023-11-07T05:31:56Z",
"isLivestream": true,
"livestreamStarted": true,
"livestreamEnded": true,
"streamingUrl": "<string>",
"streamingKey": "<string>",
"youtubeStreamingUrl": "<string>",
"youtubeStreamingKey": "<string>",
"facebookStreamingUrl": "<string>",
"facebookStreamingKey": "<string>",
"livestreamAction": true,
"livestreamActionTitle": "<string>",
"livestreamActionUrl": "<string>",
"livestreamActionRoute": "<string>",
"repliesDisabled": true,
"repliesModerationRequired": true,
"pendingApproval": true
}
]Ủy quyền
OAuth2 Implicit Grant
Tham số truy vấn
Vị trí bản ghi đầu tiên lấy về (Dùng để phân trang, mặc địch là 0)
Số lượng tối đa bản ghi lấy về (Dùng để phân trang, mặc địch là 20)
Phản hồi
Thành công
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes